GuideLab Docs

One revision of a document, with its content

GET
/compliance/documents/{id}/revisions/{number}

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string
Length1 <= length <= 200
number*integer
Range0 < value <= 2147483647

Response Body

application/json

application/json

curl -X GET "https://example.com/compliance/documents/string/revisions/1"
{  "number": 1,  "source": "generated",  "language": "en",  "templateVersion": 1,  "note": "string",  "createdAt": "string",  "createdByName": "string",  "issuedOn": "string",  "expiresOn": "string",  "file": {    "name": "string",    "contentType": "string",    "sizeBytes": 0  },  "content": {    "version": 1,    "doc": {      "type": "doc",      "attrs": {        "property1": null,        "property2": null      },      "content": [        {          "type": "doc",          "attrs": {            "property1": null,            "property2": null          },          "content": [],          "text": "string",          "marks": [            {              "type": "bold"            }          ]        }      ],      "text": "string",      "marks": [        {          "type": "bold"        }      ]    }  }}
{  "error": "string"}